Subject: Re: Parallel Port Programming
From: [email-masked] (AI Base)

8 Apr 1997 19:38:55 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Richard J. Auletta)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Richard J. Auletta" at Apr 4, 97 10:53:16 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

> 
> I am looking for some documentation or example code
> describing the calls needed to access the parallel port on a Windows
> NT 3.51 box using the Cygnus port of GCC. Nothing fancy,
> Win32 API's would be great. (The necessary gcc compile options would
> be a help :)
> 
> I just want to be able to write and read data from the parallel port.
> (I don't think I need any low level information - just push a byte
> and read a byte)
> 
> This sees to be an FAQ but I can't seem to find a definitive answer.
> 
> This is for a class I am teaching on FPGA's and VHDL synthesis.
> 
> TIA,
> 
> -Rich Auletta
>  [email-masked]
>  http://erebor.cudenver.edu
> 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 

You have to write a vxd (virtual device driver) for this.
I recently just wrote a vxd to allow a debugger to
talk to a target board via parallel port on NT for
a consulting work. I was considering packaging it up
as a library objects for commercial sales (when I have
the time :-).

You need Microsoft DDK to build a device driver (and unfortunately,
most likely VC++ too, I doubt that gcc currently will do it).
Alternatively, you can link with a ready made vxd binary object
that provide the required services (that way you don't need
a DDK and VC++). If you choose that route, you may want to
search the web to see who sell those binaries. If you want to
write one of your own, check out Art Baker's book on writing
VXD (available at computer literacy). A word of warning,
writing a VXD is not very fun :-). There are many issues
involved in talking to parallel port on NT. For those interested
in writing parallel port driver, check out my web
site in 2 weeks or so and I will post a html document on
what they are.

-- budi
[email-masked]
http://www.aibase.com	(aibase consulting)
http://www.reedkotler.com	(Home of RKTOOLS).

> 
> I am looking for some documentation or example code
> describing the calls needed to access the parallel port on a Windows
> NT 3.51 box using the Cygnus port of GCC. Nothing fancy,
> Win32 API's would be great. (The necessary gcc compile options would
> be a help :)
> 
> I just want to be able to write and read data from the parallel port.
> (I don't think I need any low level information - just push a byte
> and read a byte)
> 
> This sees to be an FAQ but I can't seem to find a definitive answer.
> 
> This is for a class I am teaching on FPGA's and VHDL synthesis.
> 
> TIA,
> 
> -Rich Auletta
>  [email-masked]
>  http://erebor.cudenver.edu
> 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".